* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    max-width: 100vw;
    /* outline: 1px solid red; */
}

:root {
    --header-height: 76px;
}

@media (min-width: 768px) {
    :root {
        --header-height: 118px;
    }
}

html {
    font-size: 15px;
    font-family: sans-serif;
}

body {
    background-color: rgba(0, 0, 0, 0.75);
    display: grid;
    grid-template-rows: auto 1fr auto;
    min-height: 100vh;
    max-width: 100vw;
}

main {
    background-color: #2b2b2b;
    padding-top: var(--header-height);
    display: flex;
    justify-content: center;

}

h1 {
    font-size: 42px;
}

h5 {
    font-size: 22px;
}

.content {
    width: 100%;
    background-color: #fff;
    padding: 30px 20px;
}

@media (min-width: 768px) {
    html { font-size: 17px; }
    .content {
        max-width: 1248px;
        padding: 40px 30px; 
    }
    
}


/* HEADER */

header {
    background-color: #fff;
    width: 100%;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 100; 
    background-color: #000;
    text-align: center;
}

.titlebar {
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    align-items: center;
    margin: 5px 10px;
}

.logo-header {
    height: 40px;
    border-radius: 10px;
    border: teal solid;
}

.title {
    color: #fff;
    font-family: 'Tourney';
    font-size: 2rem;
    margin: 0 10px;
}

.hamburger {
    width: 20px;
    height: 20px;
    color: #fff;
    margin: 10px 10px 10px auto;
    
}

.menu {
    display: none;
}

.trademark {
    margin-top: auto;
    color: grey;
}

.menu.open {
    background-color: #000;
    position: absolute;
    height: 80vh;
    left: 0;
    padding-top: 20px;
    padding-bottom: 40px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-content: center;
}

.menu ul {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (min-width: 883px) {
    header {
        display: flex;
    }
    .hamburger { display: none; }
    .menu {
        display: flex;
        justify-content: space-between;
        align-content: center;
        margin-right: auto;
        margin-left: 10px;
    }
    .titlebar {
        display: flex;
    }
    .menu ul {
        display: flex;
        flex-direction: row; 
    }
    .menu li {
        height: 24px;
        align-items: start;
        margin-right: 15px;
    }
    .title {
        font-size: 2.8rem;
    }
    .trademark {
        display: none;
    }
    .child-page:hover:after {
        content: '';
        display: block;
        width: 100%;
        height: 2px;
        background-color: white;
        margin-top: 4px;
    }
}

.child-page {
    width: fit-content;
    margin: 20px;
}





/* FOOTER */

footer {
    position: relative;
    width: 100%;
    padding: 20px 20px;
    min-height: fit-content;
    background-color: #000;
    color: #fff;
}

.footerlinks-container {
    display: flex;
    justify-content: center;
    border-top: #ffffff81 solid 1px;
    padding-top: 30px;
    padding-bottom: 20px;
}


.footertitle {
    width: 100%;
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-content: center;
}



/* OTHER */

a:link {
    color: #fff;
    text-decoration: none;
}

a:visited {
    color: #fff;
}

ul, li {
    list-style: none;
}

button {
  background-color: #fff;
  border: none;
  color: #000;
  width: 83px;
  height: 41px;
  margin: 0 10px;
  text-align: center;
  text-decoration: none;
  font-size: 1rem;
  display: inline-block;
  cursor: pointer;
  border-bottom: #000 solid;
}

@media (min-width: 768px) {
    button {
        width: 125px;
    }
}